Virtual Hub Bgp Connections - List Advertised Routes
Sanal hub bgp bağlantısının belirtilen eşe tanıttığı yolların listesini alır.
POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/virtualHubs/{hubName}/bgpConnections/{connectionName}/advertisedRoutes?api-version=2025-05-01
URI Parametreleri
| Name | İçinde | Gerekli | Tür | Description |
|---|---|---|---|---|
|
connection
|
path | True |
string |
BGP bağlantısının adı. |
|
hub
|
path | True |
string |
Sanal hub'ın adı. |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
Kaynak grubunun adı. İsim büyük/küçük harfe duyarsızdır. |
|
subscription
|
path | True |
string (uuid) |
Hedef aboneliğin kimliği. Değer bir UUID olmalıdır. |
|
api-version
|
query | True |
string minLength: 1 |
Bu işlem için kullanılacak API sürümü. |
Yanıtlar
| Name | Tür | Description |
|---|---|---|
| 200 OK |
Azure işlemi başarıyla tamamlandı. |
|
| 202 Accepted |
Kaynak işlemi kabul edildi. Üst Bilgiler
|
|
| Other Status Codes |
Beklenmeyen bir hata yanıtı. |
Güvenlik
azure_auth
Azure Active Directory OAuth2 akışı.
Tür:
oauth2
Akış:
implicit
Yetkilendirme URL’si:
https://login.microsoftonline.com/common/oauth2/authorize
Kapsamlar
| Name | Description |
|---|---|
| user_impersonation | kullanıcı hesabınızın kimliğine bürünme |
Örnekler
VirtualRouterPeerListAdvertisedRoutes
Örnek isteği
POST https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Network/virtualHubs/virtualRouter1/bgpConnections/peer1/advertisedRoutes?api-version=2025-05-01
Örnek yanıt
{
"RouteServiceRole_IN_0": [
{
"asPath": "65515",
"localAddress": "10.85.3.4",
"network": "10.45.0.0/16",
"nextHop": "10.85.3.4",
"origin": "Igp",
"sourcePeer": "10.85.3.4",
"weight": 0
},
{
"asPath": "65515",
"localAddress": "10.85.3.4",
"network": "10.85.0.0/16",
"nextHop": "10.85.3.4",
"origin": "Igp",
"sourcePeer": "10.85.3.4",
"weight": 0
},
{
"asPath": "65515",
"localAddress": "10.85.3.4",
"network": "10.100.0.0/16",
"nextHop": "10.85.3.4",
"origin": "Igp",
"sourcePeer": "10.85.3.4",
"weight": 0
}
],
"RouteServiceRole_IN_1": [
{
"asPath": "65515",
"localAddress": "10.85.3.4",
"network": "10.45.0.0/16",
"nextHop": "10.85.3.4",
"origin": "Igp",
"sourcePeer": "10.85.3.4",
"weight": 0
},
{
"asPath": "65515",
"localAddress": "10.85.3.4",
"network": "10.85.0.0/16",
"nextHop": "10.85.3.4",
"origin": "Igp",
"sourcePeer": "10.85.3.4",
"weight": 0
},
{
"asPath": "65515",
"localAddress": "10.85.3.4",
"network": "10.100.0.0/16",
"nextHop": "10.85.3.4",
"origin": "Igp",
"sourcePeer": "10.85.3.4",
"weight": 0
}
]
}
location: https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.Network/locations/{location}/operationResults/{operationId}?api-version={api-version}
Tanımlar
| Name | Description |
|---|---|
|
Cloud |
Hizmetten bir hata yanıtı. |
|
Cloud |
Hizmetten bir hata yanıtı. |
CloudError
Hizmetten bir hata yanıtı.
| Name | Tür | Description |
|---|---|---|
| error |
Bulut hata gövdesi. |
CloudErrorBody
Hizmetten bir hata yanıtı.
| Name | Tür | Description |
|---|---|---|
| code |
string |
Hatanın tanımlayıcısı. Kodlar sabittir ve program aracılığıyla kullanılması amaçlanmıştır. |
| details |
Hatayla ilgili ek ayrıntıların listesi. |
|
| message |
string |
Hatayı açıklayan ve kullanıcı arabiriminde görüntülenmeye uygun olması amaçlanan bir ileti. |
| target |
string |
Belirli bir hatanın hedefi. Örneğin, özelliğin adı hatalı. |